fann_scale_output
fann_scale_train
Fann Functions
PHP Manual

# fann_scale_train_data

(PECL fann >= 1.0.0)

fann_scale_train_data — Scales the inputs and outputs in the training data to the specified range

### Description

bool fann_scale_train_data ( resource `$train_data` , float `$new_min` , float `$new_max` )

Scales the inputs and outputs in the training data to the specified range.

### Parameters

`train_data`

  Neural network training data resource.

`new_min`

  New minimum after scaling inputs and outputs in training data.

`new_max`

  New maximum after scaling inputs and outputs in training data.

### Return Values

Returns `TRUE` on success, or `FALSE` otherwise.

### See Also

- fann_scale_output_train_data() - Scales the outputs in the training data to the specified range
- fann_scale_input_train_data() - Scales the inputs in the training data to the specified range

fann_scale_output
fann_scale_train
Fann Functions
PHP Manual